サイドバーでスキン動作を確認できます。

jquery-migrate.min.js(3.0.1)での不具合 | 不具合報告 | Cocoon フォーラム

書き込みの前に以下の3点をご確認ください。

  1. 1つのトピックにつき1つの質問を書き込んでください
  2. 不具合・カスタマイズ対象ページのURLを提示してください
  3. 該当部分のキャプチャ環境情報とともに書き込んでいただけると助かります

フォーラム利用ガイドリンク

  1. フォーラムガイドライン
  2. よくある質問と答え(FAQ)
  3. サポート対象外のケース
  4. 原因不明の不具合用トラブルシューティング
  5. トピックにHTMLを貼り付ける方法(推奨ツール:notepad.pw
  6. 真っ白画面でのエラーメッセージの確認方法 
  7. ブラウザ環境チェックツール

フォーラムの内容は、CCライセンス(CC BY-ND 2.1)準じていれば(リンクを貼っていただければ)転載も自由です。カスタマイズ記事を書く際にコード等をコピペ利用していただいて構いません。

フォーラムの使い方がよくわからない場合は、テストトピックで自由にテストしていただいて構いません。

フォーラムのTwitterアカウント(@CocoonForum)はこちら

スポンサーリンク
Share:

jquery-migrate.min.js(3.0.1)での不具合  

  RSS

OhZoo
(@ohzoo)
Active Member
参加: 10か月 前
投稿: 12
2019年2月1日 10:39  

Cocoonのバージョン1.5.7から、jquery-migrate.min.jsのバージョンが3.0.1に変わったようです。

jquery-migrate.min.jsのバージョン3.0.1になってから、ChromeのConsole画面に添付ファイルのようなエラーが表示されます。

私のJavaScriptでは、jQueryのバージョン1.9以降に廃止された、liveやdelegateメソッドを使っていたので、すべてonメソッドに書き換え、大方の問題は無くなりましたが、上記のエラーが引き続き表示されます。

一番の悩みは、テーブルのソートに活用している「tablesorter」というjQueryのライブラリが動作しなくなったことです。

Cocoonの「lib\utils.php」の324行から327行めのコメントアウトを書き換え、jquery-migrate.min.jsのバージョンを1.4.1に戻すと、エラー表示も無くなり、「tablesorter」も正常に動作します。

わいひらさんも最新の投稿で触れられていますが、jquery-migrate.min.jsのバージョン3.0.1を前提に作られているCocoonの機能があれば教えてください。

当方のサイトで、大きな支障がない機能であれば、しばらくは、「lib\utils.php」を変更し、jquery-migrate.min.jsのバージョンを1.4.1に戻して対処しようと思います。

以上、よろしくお願いします。


引用
わいひら
(@yhira)
メンバーサイト Admin
参加: 1年 前
投稿: 4545
2019年2月1日 23:37  

migrate.min.jsのバージョン3.0.1を前提に作られているCocoonの機能があれば教えてください。

Cocoon側には、これがないと動作しない処理はないですが、今後のためには最新版にしておく必要があると思いました。

そういったケースにも対応できるように、Cocoon設定の「その他」タブにライブラリを選択できる機能を追加しました(添付画像)。

https://github.com/yhira/cocoon
最新ファイルをダウンロードする場合は、上記ページのダウンロードボタンからzipファイルをダウンロードしてください。


返信引用
OhZoo
(@ohzoo)
Active Member
参加: 10か月 前
投稿: 12
2019年2月2日 08:14  

わいひらさん

早速の対応ありがとうございます.
動作確認しました.
添付ファイルの設定で,「tablesorter」も正常に動作することを確認しました.

 

Cocoon側には、これがないと動作しない処理はないですが、今後のためには最新版にしておく必要があると思いました。

情報ありがとうございます.
最新バージョンのjquery-migrate.min.jsの前提で作られている機能がないとのこと,私にとっては朗報です.

最新バージョンのjquery-migrate.min.jsは,自分自身のコードでエラーを出しているので,不安定な感じがします.

しばらくは,バージョン1.4.1のjquery-migrate.min.jsを使うことにします.


返信引用

返信する


許可された最大ファイルサイズ 2MB

 
Share:
スポンサーリンク
わいひらをフォローする
おすすめサーバ
mixhost

プラン変更で負荷対策が行えるので、ブログ向きのレンタルサーバーです。

◎LiteSpeedを用いた高速サーバー(完全SSD)
◎http/2・QUIC(高速化プロトコル)に対応
◎プランのアップ・ダウングレードが自由自在
◎転送量が多い
◎毎日無料バックアップ(14日分)
◎復元ポイントを指定して復旧可能(無料)
◎アダルト・出会い系サイト可
○サーバ引っ越しオプションあり(有料)
○サーバー料金をチャージ払いが可能
サービス運営期間:2年8ヶ月

性能も兼ね備えながら安くブログ運営を開始したいのであればここ1択。

◎LiteSpeedを用いた高速サーバー(完全SSD)
◎http/2・QUIC(高速化プロトコル)に対応
◎東京・大阪でリージョン選択が可能
◎プランのアップ・ダウングレードが自由自在
◎同サービス内でドメイン管理が可能
◎転送量が多い
◎毎日無料バックアップ(14日分)
◎復元ポイントを指定して復旧可能(無料)
◎アダルト・出会い系サイト可
◎ドメインとサーバー代のチャージ払いが可能
○サーバ引っ越しオプションあり(有料)
△新しいのでサービス運営櫪がまだ短い
サービス運営期間:8ヶ月

安定感抜群のサーバーです。あまり急激なアクセス変動がないアフィリエイトサイトに向いています。

◎nginxを用いた高速サーバー(完全SSD)
◎老舗サーバーなので安定感抜群
◎ディスク容量が多い
◎転送量が多い
◎同サービス内でドメイン管理が可能
○http/2(高速化プロトコル)に対応
○毎日無料バックアップ(14日分)
△DBは7日分だけ無料復旧可能(ファイルは有料)
×プラン変更でCPUのスペックアップができない
×プラン変更しても即時反映されない
×アダルト・出会い系サイト不可
サービス運営期間:15年

格安な値段で始められる高機能サーバーです。
性能も備えつつ最安ならここ。
サイトを続けるうちにアクセスが増えれば、プランのアップグレートで対応可能です。

◎LiteSpeedを用いた高速サーバー(完全SSD)
◎激安プランが用意してある
◎値段あたりのスペックが高い(コスパ良し)
◎サーバ引っ越しオプションあり(無料)
◎アダルト・出会い系サイト可
○http/2(高速化プロトコル)に対応
△プランのアップは可能だがダウンは不可
△毎日自動バックアップ(1日分)
△前日のバックアップからのみ復元できる(無料)
サービス運営期間:3年

Cocoon
  
動作中

ログイン または 登録 してください

タイトルとURLをコピーしました